package gui.simulator.facilities;

import java.io.Serializable;

import gui.simulator.DrawEngine;
import gui.simulator.Images;
import gui.simulator.SimulatorPane;
import gui.simulator.Terrain;

public class Stage extends DrawEngine implements Serializable{

	private static Images.ImageType images = Images.ImageType.Tent;
	private static String facilityName = "Stage";

    public Stage(int x, int y, Terrain terrain) {
        super(images, x, y, 1, 0,SimulatorPane.Objects.STAGE, terrain);
    }

    public Stage(int x, int y, double scale, double distance, Terrain terrain) {
        super(images, x, y, scale, distance,SimulatorPane.Objects.STAGE, terrain);
    }
    
    public String getFacilityName(){
    	return facilityName;
    }
}
